Cisco Support Community
cancel
Showing results for 
Search instead for 
Did you mean: 
New Member

Critical Updates Needed error

I'm currently in a college that runs the cisco NAC Agent for all PC/Windows users in the school that would like access to the school's network. Recently, I've had a problem connecting to the NAC agent because it keeps giving me the "Critical Updates Needed" error even though all windows updates are installed.

This happened before and I fixed it by uninstalling the IExplorer 11 update, but now that doesn't seem to be the solution. Any thoughts?

1 REPLY
New Member

Critical Updates Needed error

Are you sure it is a Windows Update that are critically needed? Usually the person creating the NAC rules will list what is required for remediation in the NAC agent when it fails. Sometimes these can be as little has having a screen save turned on.

517
Views
0
Helpful
1
Replies
CreatePlease to create content